Subject: bug#25961: Compiling new guix on old guix: 'waitpid' -1 failed unexpectedly: No child processes

From: Christopher Allan Webber <[email-masked]>
Date: Sun, 05 Mar 2017 10:13:40 -0600

Marius Bakke <[email-masked]> writes:

> Which kernel version is this?

Linux-Libre 4.8.1

And!  As it turns out, I went to the last revision before I was hitting
compilation isues (c90db25f4cf1f98f3f4f3af38d175a14ffb8c32a), did a make
on the repo, and from there I did a "guix system reconfigure".  I
restarted, and after that I was able to build the repo on git master. 
If it's because of the kernel that things work now, it did upgrade the
kernel... the kernel is now at 4.9.8.

I wonder why this happened?